aboutsummaryrefslogtreecommitdiff
path: root/package/rpi-firmware
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-12-18 09:21:05 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-12-18 09:22:54 +0100
commit2277fdeca8c94f8ea8fe8afebcdbb176c6b1531d (patch)
tree36d7ec9a782d6879a40323aa75edb027efd89640 /package/rpi-firmware
parent20cdd433142e49a6c9e35085565e7f2c4ce97e44 (diff)
downloadbuildroot-2277fdeca8c94f8ea8fe8afebcdbb176c6b1531d.tar.gz
buildroot-2277fdeca8c94f8ea8fe8afebcdbb176c6b1531d.tar.bz2
package/*/Config.in: fix help text check-package warnings
This commit fixes the warnings reported by check-package on the help text of all package Config.in files, related to the formatting of the help text: should start with a tab, then 2 spaces, then at most 62 characters. The vast majority of warnings fixed were caused by too long lines. A few warnings were related to spaces being used instead of a tab to indent the help text. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/rpi-firmware')
-rw-r--r--package/rpi-firmware/Config.in29
1 files changed, 17 insertions, 12 deletions
diff --git a/package/rpi-firmware/Config.in b/package/rpi-firmware/Config.in
index da32b8e9d5..0ebbe7a4cd 100644
--- a/package/rpi-firmware/Config.in
+++ b/package/rpi-firmware/Config.in
@@ -3,7 +3,9 @@ config BR2_PACKAGE_RPI_FIRMWARE
depends on BR2_arm || BR2_aarch64
help
RaspberryPi Firmware
- Pre-compiled binaries of the current bootloader and GPU firmware
+
+ Pre-compiled binaries of the current bootloader and GPU
+ firmware
https://github.com/raspberrypi/firmware
@@ -14,11 +16,12 @@ choice
default BR2_PACKAGE_RPI_FIRMWARE_DEFAULT
help
There are three different firmware files:
- - the default firmware, that enables standard GPU features;
- - the extended firmware, that enables additional GPU features
- (eg. more audio/video codecs);
- - the cut-down firmware, for emergency situations, with only
- features required to boot a Linux kernel.
+ - the default firmware, that enables standard GPU
+ features;
+ - the extended firmware, that enables additional GPU
+ features (eg. more audio/video codecs);
+ - the cut-down firmware, for emergency situations, with
+ only features required to boot a Linux kernel.
config BR2_PACKAGE_RPI_FIRMWARE_DEFAULT
bool "default"
@@ -50,11 +53,12 @@ config BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTBS
default y
depends on !BR2_LINUX_KERNEL_DTS_SUPPORT
help
- If you are using a Linux kernel <= 3.18, you should say 'y' here.
+ If you are using a Linux kernel <= 3.18, you should say 'y'
+ here.
- If you are using a Linux kernel >= 3.19, you should say 'n' here,
- and enable BR2_LINUX_KERNEL_DTS_SUPPORT to let the kernel build
- the DTB.
+ If you are using a Linux kernel >= 3.19, you should say 'n'
+ here, and enable BR2_LINUX_KERNEL_DTS_SUPPORT to let the
+ kernel build the DTB.
config BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTB_OVERLAYS
bool "Install DTB overlays"
@@ -62,8 +66,9 @@ config BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTB_OVERLAYS
depends on BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTBS \
|| BR2_LINUX_KERNEL_DTS_SUPPORT
help
- Say 'y' here if you need to load one or more of the DTB overlays,
- to support HATs (Hardware Attached on Top, add-on modules).
+ Say 'y' here if you need to load one or more of the DTB
+ overlays, to support HATs (Hardware Attached on Top, add-on
+ modules).
config BR2_PACKAGE_RPI_FIRMWARE_INSTALL_VCDBG
bool "vcdbg"